### Enumeration

# FwupdPlugin DisplayState

since: 1.0

#### Declaration

    enum FwupdPlugin.DisplayState

#### Description [src]

The device lid state.

Available since: 1.0

#### Members

`FU_DISPLAY_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_DISPLAY_STATE_CONNECTED`

  A monitor is connected.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_DISPLAY_STATE_DISCONNECTED`

  No monitor is connected.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0